lucene-java-commits mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From uschind...@apache.org
Subject svn commit: r892247 - /lucene/java/nightly/hudson.sh
Date Fri, 18 Dec 2009 13:38:38 GMT
Author: uschindler
Date: Fri Dec 18 13:38:38 2009
New Revision: 892247

URL: http://svn.apache.org/viewvc?rev=892247&view=rev
Log:
always try to generate clover reports, even if clover tests failed. Return the exit code at
the end.

Modified:
    lucene/java/nightly/hudson.sh

Modified: lucene/java/nightly/hudson.sh
URL: http://svn.apache.org/viewvc/lucene/java/nightly/hudson.sh?rev=892247&r1=892246&r2=892247&view=diff
==============================================================================
--- lucene/java/nightly/hudson.sh (original)
+++ lucene/java/nightly/hudson.sh Fri Dec 18 13:38:38 2009
@@ -35,7 +35,6 @@
   -Dsvnversion.exe=$SVNVERSION_EXE \
   -Dsvn.exe=$SVN_EXE \
   -Dversion=$BUILD_ID \
-  -Dtest.junit.output.format=xml \
   test package-tgz
 # release it
 cp dist/*.tar.gz $ARTIFACTS
@@ -52,17 +51,20 @@
 echo "Done Copying Maven Artifacts"
 
 #Rerun testsuite with clover on
+set +e
 $ANT_HOME/bin/ant \
   -lib $CLOVER \
   -Dsvnversion.exe=$SVNVERSION_EXE \
   -Dsvn.exe=$SVN_EXE \
-  -Dtest.junit.output.format=xml \
   -Dversion=$BUILD_ID \
   -Drun.clover=true \
   clean test
+# preserve the return value
+RET=$?
+set -e
 
-#generate the clover reports
-ANT_OPTS="-Xmx768M" $ANT_HOME/bin/ant \
+#generate the clover reports and javadocs even when tests failed before
+ANT_OPTS="-Xmx896M" $ANT_HOME/bin/ant \
   -lib $CLOVER \
   -Dsvnversion.exe=$SVNVERSION_EXE \
   -Dsvn.exe=$SVN_EXE \
@@ -75,3 +77,6 @@
   -Dsvnversion.exe=$SVNVERSION_EXE \
   -Dsvn.exe=$SVN_EXE \
   javadocs
+
+# return the test return value
+exit $RET
\ No newline at end of file



Mime
View raw message